{% extends "blog/base.html" %}{% load thumbnail generic_markup humanize %}

{% block extrahead %}
{{block.super}}

<script type="text/javascript">
$(function() {
    var $link = $('#main-menu a[href={% url blog-index %}]')
    if ($link.length < 1)
        $link = $('#main-menu a[href={% url blog-index %}]')
    $link.addClass('active');    
    
    $('.blog-authors a[rel={{entry.author.id}}]').addClass('active');
});
</script>
{% endblock %}


{% block content %}
{{block.super}}

<div class="blog-entry">
    <div class="info">
        {% with entry.author.userprofile.image as image %}
        {% if image %}
        <a href="{% url blog-index %}?author={{entry.author.id}}"><img src="{% thumbnail image 60x70 detail %}" alt="{{image.url}}test" /></a><br/>
        {% endif %}
        {% endwith %}
        <a href="{% url blog-index %}?author={{entry.author.id}}">{{entry.author.get_full_name|default:entry.author}}</a><br/>
        {{entry.pub_date|naturalday:"n N Y"}}
        <br/><br/>
        {% if entry.tags.count %}
        tags: {% for tag in entry.tags.all %}<a href="">{{tag}}</a>{% if not forloop.last %}, {% endif %} {% endfor %}
        {% endif %}
    </div>

    <div class="body">
        <h2><a href="{{entry.get_absolute_url}}" class="highlight">{{entry.title}}</a></h2>
        {{ entry.body|apply_markup}}
    </div>
</div>
{% endblock %}


